Bug 211614 - [PATCH] games/cowsay: cowsay doesn't handle UTF8 properly
Summary: [PATCH] games/cowsay: cowsay doesn't handle UTF8 properly
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Carlos J. Puga Medina
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-08-05 22:37 UTC by Aleksander Alekseev
Modified: 2016-08-10 10:12 UTC (History)
6 users (show)

See Also:
bugzilla: maintainer-feedback? (lifanov)


Attachments
Fixed files/patch-cowsay (1.00 KB, text/plain)
2016-08-05 22:37 UTC, Aleksander Alekseev
no flags Details
diff -u of old and new patch-cowsay (706 bytes, patch)
2016-08-05 22:39 UTC, Aleksander Alekseev
no flags Details | Diff
patch-cowsay (1.17 KB, patch)
2016-08-06 03:11 UTC, Carlos J. Puga Medina
lifanov: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksander Alekseev 2016-08-05 22:37:20 UTC
Created attachment 173345 [details]
Fixed files/patch-cowsay

Fixed files/patch-cowsay is attached.

Before:

```
$ echo 'Привет!' | cowsay
 _______________ 
< Привет! >
 --------------- 
        \   ^__^
         \  (oo)\_______
            (__)\       )\/\
                ||----w |
                ||     ||
```

After:

```
$ echo 'Привет!' | cowsay
 _________ 
< Привет! >
 --------- 
        \   ^__^
         \  (oo)\_______
            (__)\       )\/\
                ||----w |
                ||     ||
```
Comment 1 Aleksander Alekseev 2016-08-05 22:39:46 UTC
Created attachment 173346 [details]
diff -u of old and new patch-cowsay
Comment 2 Carlos J. Puga Medina freebsd_committer 2016-08-06 03:11:20 UTC
Created attachment 173347 [details]
patch-cowsay

Bump PORTREVISION
Comment 3 Nikolai Lifanov 2016-08-06 12:33:44 UTC
Comment on attachment 173347 [details]
patch-cowsay

Approved! This works as you described. Thank you for the fix!
Comment 4 Walter Schwarzenfeld freebsd_triage 2016-08-09 09:29:39 UTC
It is not really important, but there are still problems with UTF-8 with the eye string and the tongue string.
Comment 5 Carlos J. Puga Medina freebsd_committer 2016-08-09 22:46:39 UTC
Waiting for mentor approval.
Comment 6 Jason Unovitch freebsd_committer 2016-08-10 02:26:12 UTC
Mentor approved.
Comment 7 commit-hook freebsd_committer 2016-08-10 10:11:57 UTC
A commit references this bug:

Author: cpm
Date: Wed Aug 10 10:11:50 UTC 2016
New revision: 420004
URL: https://svnweb.freebsd.org/changeset/ports/420004

Log:
  - Partially fix cowsay UTF-8 handling
  - Bump PORTREVISION

  PR:	211614
  Submitted by:	Aleksander Alekseev <afiskon@devzen.ru>
  Approved by:	Nikolai Lifanov (maintainer), junovitch (mentor)

Changes:
  head/games/cowsay/Makefile
  head/games/cowsay/files/patch-cowsay
Comment 8 Carlos J. Puga Medina freebsd_committer 2016-08-10 10:12:36 UTC
Committed!

Thanks